// Code generated by go-swagger; DO NOT EDIT.

package azure

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// GetAzureEndpointReader is a Reader for the GetAzureEndpoint structure.
type GetAzureEndpointReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *GetAzureEndpointReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewGetAzureEndpointOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewGetAzureEndpointBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewGetAzureEndpointUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewGetAzureEndpointInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewGetAzureEndpointOK creates a GetAzureEndpointOK with default headers values
func NewGetAzureEndpointOK() *GetAzureEndpointOK {
	return &GetAzureEndpointOK{}
}

/*GetAzureEndpointOK handles this case with default header values.

Successful retrieval of Azure account parameters
*/
type GetAzureEndpointOK struct {
	Payload *models.AzureAccountParams
}

func (o *GetAzureEndpointOK) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure][%d] getAzureEndpointOK  %+v", 200, o.Payload)
}

func (o *GetAzureEndpointOK) GetPayload() *models.AzureAccountParams {
	return o.Payload
}

func (o *GetAzureEndpointOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.AzureAccountParams)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureEndpointBadRequest creates a GetAzureEndpointBadRequest with default headers values
func NewGetAzureEndpointBadRequest() *GetAzureEndpointBadRequest {
	return &GetAzureEndpointBadRequest{}
}

/*GetAzureEndpointBadRequest handles this case with default header values.

Bad Request
*/
type GetAzureEndpointBadRequest struct {
	Payload *models.Error
}

func (o *GetAzureEndpointBadRequest) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure][%d] getAzureEndpointBadRequest  %+v", 400, o.Payload)
}

func (o *GetAzureEndpointBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureEndpointBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureEndpointUnauthorized creates a GetAzureEndpointUnauthorized with default headers values
func NewGetAzureEndpointUnauthorized() *GetAzureEndpointUnauthorized {
	return &GetAzureEndpointUnauthorized{}
}

/*GetAzureEndpointUnauthorized handles this case with default header values.

Incorrect credentials
*/
type GetAzureEndpointUnauthorized struct {
	Payload *models.Error
}

func (o *GetAzureEndpointUnauthorized) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure][%d] getAzureEndpointUnauthorized  %+v", 401, o.Payload)
}

func (o *GetAzureEndpointUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureEndpointUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureEndpointInternalServerError creates a GetAzureEndpointInternalServerError with default headers values
func NewGetAzureEndpointInternalServerError() *GetAzureEndpointInternalServerError {
	return &GetAzureEndpointInternalServerError{}
}

/*GetAzureEndpointInternalServerError handles this case with default header values.

Internal server error
*/
type GetAzureEndpointInternalServerError struct {
	Payload *models.Error
}

func (o *GetAzureEndpointInternalServerError) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure][%d] getAzureEndpointInternalServerError  %+v", 500, o.Payload)
}

func (o *GetAzureEndpointInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureEndpointInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
